#define MAX_INPUT_LENGTH  1000
#define MAX_WORKSHEET_TITLE 32
#define MAX_WORKSHEET_NOTE 300
#define MAX_WORKSHEET_HELP 39

#define frmBasic      1001
#define frmScientific 1002
#define frmInteger    1003
#define frmGraph      1004
#define finForm       1005
#define altAbout       1006
#define altCompute     1007
#define altMathlib     1008
#define altGuessNotFound 1010
#define altGraphBadVal      1011
#define altAnsProblem    1013
#define altBadParameter  1015
#define frmListEdit      1016
#define frmMatrix        1017
#define frmBasicS      1018
#define slvForm         1019
#define slvTitleForm    1020
#define slvOptionsForm  1021
#define slvNoteForm     1022
#define slvExportOK     1023
#define slvExportError  1024

#define tdMenu       1000

#define resultGadget 1001
#define tdInput      1002
#define tdDoit	     1003

#define btnBasic       1008
#define btnScientific  1009
#define btnInteger     1010
#define btnGraph       1011

#define tdBFin       1016
#define tdBPref      1017
#define btnHistory    1018

#define hlpMain1     1100
#define hlpMain2     1101
#define hlpPref      1102
#define hlpFin       1103
#define hlpMemo      1104
#define hlpFunc      1105
#define hlpGrPref    1106
#define hlpGrSetup   1107
#define hlpSolver    1108

#define btnMain0       2000
#define btnMain1       2001
#define btnMain2       2002
#define btnMain3       2003
#define btnMain4       2004
#define btnMain5       2005
#define btnMain6       2006
#define btnMain7       2007
#define btnMain8       2008
#define btnMain9       2009
#define btnMainBksp    2010
#define btnMainFwsp    2011
#define btnMainDel     2012

#define btnMainPlus    2015
#define btnMainMinus   2016
#define btnMainMult    2017
#define btnMainDivide  2018
#define btnMainNeg     2019

#define btnMainA       2071
#define btnMainB       2072
#define btnMainC       2073
#define btnMainD       2074
#define btnMainE       2075
#define btnMainF       2076
#define btnMainAnd     2077
#define btnMainOr      2078
#define btnMainShl     2079
#define btnMainShr     2080
#define btnMainClear   2081
#define btnMainAns     2082
#define btnMainOpBr    2083
#define btnMainPow     2084 
#define btnMainLog     2085
#define btnMainSq1     2086
#define btnMainSqr     2087
#define btnMainSqrt    2088
#define btnMainClBr    2089
#define btnMainEE      2090
#define btnMainDot     2091
#define btnMainXor     2092
#define btnMainSel     2093
#define lstMainBtnRow  2094
#define popMainBtnRow  2095
#define btnMainInv     2096
#define btnMainLn      2097
#define btnMainSin     2098
#define btnMainCos     2099
#define btnMainTan     2101
#define btnMainExp     2102
#define btnMainPi      2103
#define btnMainDeg     2104
#define btnMainMin     2105
#define btnMainFact    2106	
#define btnMainColn    2107
#define btnMainMagn    2108
#define btnMainAngl    2109
#define btnMain_i      2110
#define btnPrefMode    2111
#define btnRadixMode   2112

#define btnMatrixDone  2200
#define tblMatrix      2201
#define lstMatrix      2202
#define popMatrix      2203
#define popMatrixRows  2204
#define popMatrixCols  2205
#define lstMatrixDim   2206
#define sclMatrix      2207
#define btnMatrixLeft  2208
#define btnMatrixRight 2209

#define btnMainS1      3301
#define btnMainS2      3302
#define btnMainS3      3303
#define btnMainS4      3304
#define btnMainS5      3305
#define btnMainS6      3306
#define btnMainS7      3307
#define btnMainS8      3308
#define btnMainS9      3309
#define btnMainS10     3310
#define btnMainS11     3311
#define btnMainS12     3312
#define btnMainS13     3313
#define btnMainS14     3314
#define btnMainS15     3315
#define btnMainW1      3316
#define btnMainW2      3317
#define btnMainW3      3319
#define btnMainW4      3320
#define btnMainW5      3322
#define btnMainW6      3323
#define btnMainW7      3325
#define btnMainW8      3326
#define btnMainW9      3328
#define btnMainW10     3329

#define finFVButton     3000
#define finPVButton     3001
#define finPMTButton    3002
#define finNButton      3003
#define finIButton      3004
#define finBeginButton  3005
#define finEndButton    3006
#define finPYRButton    3007

#define finDoneButton   3010

#define finISet       3100
#define finILabel     3101
#define finPVSet      3102
#define finPVLabel    3103
#define finPMTSet     3104
#define finPMTLabel   3105
#define finNSet       3106
#define finNLabel     3107
#define finFVSet      3108
#define finFVLabel    3109
#define finPYRSet     3110
#define finPYRLabel   3111

#define varEditForm         3200
#define varEditField        3201
#define varEditOK           3202
#define varEditCancel       3203
#define varEditNameField    3204
#define altConfirmOverwrite 3205
#define varEditParam        3206
#define varEditParamLabel   3207
#define varFuncModTitle     3208
#define varVarModTitle      3209
#define varFuncNewTitle     3210
#define varVarNewTitle      3211
#define varStrVariable      3212
#define varStrFunction      3213

#define calcResPopupBut 3250
#define calcResList     3251
#define calcResPopup    3252

#define tdIntBin     3400
#define tdIntOct     3401
#define tdIntDec     3402
#define tdIntHex     3403

#define frmGrcSel         3500
#define btnGrcSelOK       3501
#define btnGrcSelCancel   3502
#define lstGrcSel         3503
#define altGrcSelectLeft  3504
#define altGrcSelectRight 3505
#define altGrcSelectValue 3506
#define altComputeResult  3507
#define altComputeCofirm  3508
#define altGrcBoundsErr   3509
#define altGrcFuncErr     3510
#define altOctalMode      3511
#define altSolverResult   3512

#define slvEquation       3601
#define slvUpdate         3602
#define slvVarList        3603
#define slvDone           3604
#define slvModify         3605
#define slvSolve          3606
#define slvCalculate      3608
#define slvWorksheet      3609
#define slvWorksheetList  3610
#define slvTitle          3611
#define slvTitleOK        3612
#define slvTitleCancel    3613
#define slvDelete         3615
#define slvOptions        3616
#define slvOptionsMin     3617
#define slvOptionsMax     3618
#define slvOptionsPrec    3619
#define slvOptionsOK      3620
#define slvOptionsCancel  3621
#define slvOptionsTitle   3622
#define slvNote           3623
#define slvNoteField      3624
#define slvNoteDone       3625
#define slvHelp           3626
#define slvMenu           3627
#define slvExport         3628

#define prefForm   4000
#define prefOK     4001
#define prefCancel 4002
#define prefNormal 4003
#define prefSci    4004
#define prefEng    4005

#define prefPrecPopup       4013
#define prefPrecList        4014
#define prefReducePrecision 4015
#define prefStrip           4016
#define prefParenth         4017
#define prefRadian          4018
#define prefDegree          4019
#define prefGrad            4020
#define prefDecimal         4022
#define prefBinary          4023
#define prefOctal           4024
#define prefHexa            4025
#define prefIntInput        4027
#define prefCvtUnits        4028
#define prefInsertHelp      4029
#define prefAcceptPref      4030
#define prefDispScien       4031  

#define graphGadget       4100
#define btnGraphZoomIn    4101
#define btnGraphZoomOut   4102
#define btnGraphTrack     4103
#define graphTrackList    4104
#define graphTrackPopup   4105
#define btnGraphTrackGoto 4106
#define lstGraphCalcFunc  4107
#define btnGraphCalc      4108
#define lstGraphCalcParam 4109
#define strGrcDescription 4110
#define lstGraphCalcPolar 4111
#define btnGraphSpeed     4112
#define lstGraphSpeed     4113

#define graphMenu        4200
#define btnGraphPref     4201
#define btnGraphSetup    4202
#define btnGraphTable    4203

#define grPrefForm     4200
#define grPrefXmin    4202
#define grPrefXmax    4203
#define grPrefYmin    4204
#define grPrefYmax    4205
#define grPrefLabel1  4206  
#define grPrefLabel2  4207
#define grPrefLabel3  4208
#define grPrefField1  4209
#define grPrefField2  4210
#define grPrefField3  4211
#define grPrefFunc    4212
#define grPrefPol     4213
#define grPrefPar     4214
#define grPrefDefault  4215
#define grPrefTrig     4216
#define grPrefXscale   4217
#define grPrefYscale   4218
#define ckbGrPrefLogX  4219
#define ckbGrPrefLogY  4220
#define ckbGrPrefGrid  4221

#define varList         4300
#define varListButton   4301
#define varListPopup    4302
#define varFuncListButton 4303
#define varBuiltinList  4304
#define varBuiltinListButton 4305
#define varBuiltinListPopup 4306

#define varEntryForm    4305
#define varEntryOK      4306
#define varEntryCancel  4307
#define varEntryField   4308
#define varEntryListBut 4309
#define varEntryList    4310
#define varEntryListPopup 4311
#define altBadVariableName 4312

#define histList        4400
#define histListPopup   4402

#define grSetupForm     4500
#define grSetupDone     4501
#define grSetupTable    4502
#define grSetupUp       4503
#define grSetupDown     4504
#define grSetupList     4505
#define grSetupPopup    4506
#define grSetupStrFunc  4508
#define grSetupNone     4509
#define grSetupUser     4510

#define grTableForm     4600
#define grTableTable    4601
#define grTableLeft     4602
#define grTableRight    4603
#define grTableDone     4604
#define grTableGoto     4605

#define dinputForm      4700
#define dinputOK        4701
#define dinputCancel    4702
#define dinputField     4703

#define memoImportForm  4800
#define memoImportOK    4801
#define memoImportCancel 4802
#define memoImportList  4803
#define altMemoImportError 4804
#define memoExportQuestionForm 4805
#define memoExportOK     4806
#define memoExportCancel 4807
#define memoExportAll    4808
#define memoExportFunc   4809
#define memoExportVars   4810

#define btnListDone     4900
#define tblList         4901
#define popList1        4902
#define popList2        4903
#define popList3        4904
#define lstList         4905
#define btnListLong     4906
#define btnListInsert   4907
#define btnListDelete   4908
#define lblListLong     4909
#define sclList         4910

#define defForm        5000
#define defDone        5001
#define defList        5002
#define defNew         5003
#define defModify      5004
#define defDelete      5005
#define altConfirmDelete 5006
#define defPopupList     5007
#define defPopup         5008

#define bmpLArrow        7001
#define bmpRArrow        7002
#define bmpRootX         7003
#define bmpSquare        7004
#define bmpSquareRoot    7005
#define bmpExpon         7006
#define bmpInverse       7007
#define bmpPower         7008
#define bmpLdel          7009
#define bmpExe           7010

#define frmUpdateVars    8000
#define frmUpdateResult  8001
#define frmUpdateWorksheet 8002

#define strErrCodes        8001
#define strMenuDescription 8002
#define strLocalNew        8003
#define strLocalDelete     8004
#define strLocalSaveAs     8005
#define strCredits         8006
#define strWorksheet       8007
#define strNewWorksheet    8008
#define strDescriptionVar  8009
#define strUndefined       8010

#define mitAbout          8500
#define mitListEdit       8501
#define mitMatrixEdit     8502
#define mitMemoExport     8503
#define mitMemoImport     8504
#define mitFinCalc        8505
#define mitDefMgr         8506
#define mitClearHistory   8507
#define mitCredits        8508
#define mitSolver         8509

#define sysEditMenuID               10000
#define sysEditMenuUndoCmd          10000
#define sysEditMenuCutCmd           10001
#define sysEditMenuCopyCmd          10002
#define sysEditMenuPasteCmd         10003
#define sysEditMenuSelectAllCmd     10004
#define sysEditMenuSeparator        10005
#define sysEditMenuKeyboardCmd      10006
#define sysEditMenuGraffitiCmd      10007
