/*   
 *   $Id: specfun.h,v 1.2 2001/01/20 15:56:39 ondrap Exp $
 * 
 *   Scientific Calculator for Palms and PalmPilots.
 *   This file Copyright (C) 2000 Rafael Sevilla
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 *  You can contact me at 'dido@pacific.net.ph'.
 *
 */

#ifndef _SPECFUN_H
#define _SPECFUN_H

#include "segment.h"

CError math_gambeta(Functype *func, CodeStack *stack) SPECFUN;
CError math_bessels(Functype *func, CodeStack *stack) SPECFUN;
CError math_elliptic(Functype *func, CodeStack *stack) SPECFUN;
CError math_hypergeo(Functype *func, CodeStack *stack) SPECFUN;
CError math_orthpol(Functype *func, CodeStack *stack) SPECFUN;
double polevl(double x, double *coef, int N ) SPECFUN;

#define EPSILON 1e-10

#endif

